#include <iostream>
#include<stdlib.h>


using namespace std;
void swap(int* a, int* b)
{
    int t = *a;
    *a = *b;
    *b = t;
}

int p (int arr[], int l, int h)
{
    int pivot=arr[h];
    int i =(l-1);

    for (int j=l; j<=h-1; j++)
    {

        if (arr[j] < pivot)
        {
            i++;
            swap(&arr[i], &arr[j]);
        }
    }
    swap(&arr[i + 1], &arr[h]);
    return (i + 1);
}

void quickSort(int arr[], int low, int high)
{
    if (low < high)
    {
        int pi = p(arr, low, high);
        quickSort(arr, low, pi - 1);
        quickSort(arr, pi + 1, high);
    }
}
int main()
{
    int t;
    long x=0;
    cin>>t;
    long n,m;
    for(int i=0;i<t;i++)
    {
        int moze=1;
        cin>>n>>m;
        long a[n],b[m];
        for(int j=0;j<n;j++)
        {
            cin>>a[j];
        }
        for(int k=0;k<m;k++)
        {
            cin>>b[k];
        }
        quickSort(a,0,n-1);
        x=a[1]-a[0];
        for(int y=n-1;y>0;y--)
        {
            if(a[y]-a[y-1]!=x)
            {
                moze=0;
                break;
            }
        }
        if(moze==1)
        {
            for(int z=0;z<m;z++)
            {
                for(int h=0;h<n;h++)
                {
                    if(a[h]==a[z])
                    {
                        moze=0;
                        break;
                    }
                }
            }
        }
        cout<<moze<<endl;
    }

    return 0;
}